Bug 146000 - 4 * dead code
Summary: 4 * dead code
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-24 17:29 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 11:25:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-01-24 17:29:03 UTC
Description of problem:

I just tried to compile package php-5.0.3-1 from 
Redhat Fedora development tree.

The compiler said

/usr/src/redhat/BUILD/php-5.0.3/ext/gmp/gmp.c(467): remark #177:
function "_gmp_unary_opl" was declared but never referenced
/usr/src/redhat/BUILD/php-5.0.3/Zend/zend_compile.c(867): remark #177:
function
"zend_lowercase_znode_if_const" was declared but never referenced
/usr/src/redhat/BUILD/php-5.0.3/Zend/zend_ini.c(329): remark #177:
function "zend_ini_displayer_cb" was declared but never referenced
/usr/src/redhat/BUILD/php-5.0.3/ext/soap/php_encoding.c(1661): remark
#177: function "array_num_elements" was declared but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joe Orton 2005-02-03 11:25:25 UTC
These are harmless warnings and there are thousands more in PHP just
from gcc -Wall; dumping these bit by bit through the Red Hat bugzilla
database doesn't help.

Bugs filed on warnings which reveal *actual code misbehaviour* are
appreciated; but not this.


Note You need to log in before you can comment on or make changes to this bug.